rpm 4.20.1 The RPM Package Manager

Loading...
Searching...
No Matches
Functions
rpmstring.h File Reference
Data types: » String Manipulation API.
`#include <stddef.h>`
`#include <string.h>`
`#include <stdarg.h>`
`#include <stdint.h>`
`#include <rpm/rpmutil.h>`
Include dependency graph for rpmstring.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Functions
RPM_GNUC_PURE int | rstrcasecmp (const char *s1, const char *s2)
RPM_GNUC_PURE int | rstrncasecmp (const char *s1, const char *s2, size_t n)
int | rasprintf (char **strp, const char *fmt,...) RPM_GNUC_PRINTF(2
int int | rvasprintf (char **strp, const char *fmt, va_list ap)
char * | rstrcat (char **dest, const char *src)
char * | rstrscat (char **dest, const char *arg,...) RPM_GNUC_NULL_TERMINATED
size_t | rstrlcpy (char *dest, const char *src, size_t n)
RPM_GNUC_PURE unsigned int | rstrhash (const char *string)
char * | rpmhex (const uint8_t *p, size_t plen)

## Detailed Description

String manipulation helper functions